Subject: [tsvwg] [Editorial Errata Reported] RFC7605 (5592)

From: RFC Errata System <[email-masked]>
Date: Sat, 5 Jan 2019 14:30:12 -0800 (PST)

The following errata report has been submitted for RFC7605,
"Recommendations on Using Assigned Transport Port Numbers".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5592

--------------------------------------
Type: Editorial
Reported by: C. M. Heard <[email-masked]>

Section: 3

Original Text
-------------
                                      [RFC1340] also establishes the
   Registered range of 1024-59151, though it notes that it is not
   controlled by the IANA (at that point). 

Corrected Text
--------------
                                      [RFC1340] also established the
   Registered range of 1024-65535, though it noted that it was not
   controlled by the IANA (at that point). 

Notes
-----
RFC 1340 (and RFC 1700, the subsequent and final Assigned Numbers RFC) listed the upper end of the Registered port range as 65535. It was subsequently changed to 49151 by RFC 6335.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7605 (draft-ietf-tsvwg-port-use-11)
--------------------------------------
Title               : Recommendations on Using Assigned Transport Port Numbers
Publication Date    : August 2015
Author(s)           : J. Touch
Category            : BEST CURRENT PRACTICE
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Joe Touch <[email-masked]>
Date: Sat, 5 Jan 2019 15:17:40 -0800

Good catch, though IANA did *register* ports in the range 1024-63353. I’m not sure what it meant to “control” ports; in both the system and registered ranges, all IANA could ever do was register assignees.

Joe

> On Jan 5, 2019, at 2:30 PM, RFC Errata System <[email-masked]> wrote:
>

---

From: Joe Touch <[email-masked]>
Date: Sat, 5 Jan 2019 20:26:29 -0800

PS - ephemeral ports were known before RFC 6335. RFC 6056 refers to them
at least; I'm digging to see if there's an earlier reference.
Joe

---

From: Gorry Fairhurst <[email-masked]>
Date: Sun, 06 Jan 2019 18:56:10 +0000

The point I saw was that RFC 1340 states this range on p23:

"
The Registered Ports are in the range 1024-65535.
"

Gorry

On 06/01/2019, 04:26, Joe Touch wrote:
>>> On Jan 5, 2019, at 2:30 PM, RFC Errata System<[email-masked]>  wrote:
>>>
>>> Reported by: C. M. Heard<[email-masked]>
>>>
>>> Section: 3
>>>
>>> Original Text
>>> -------------

---

From: Joe Touch <[email-masked]>
Date: Sun, 6 Jan 2019 14:28:50 -0800

Yes, as does RFC 1700. However, it was long before 6335 that the range was reduced to 48K, down from 64K. The only place to check, AFAICT, will be the Internet archive pages of IANA, other than RFCs...
Joe

> On Jan 6, 2019, at 10:56 AM, Gorry Fairhurst <[email-masked]> wrote:
>

---

From: "C. M. Heard" <[email-masked]>
Date: Sun, 6 Jan 2019 19:20:00 -0800

OK, I looked on the wayback machine to see what I could find.

Snapshots of the repository referenced in RFC 1700 (
ftp://ftp.isi.edu/in-notes/iana/assignments/port-numbers) indicate that it
moved to http://www.iana.org/assignments/port-numbers on or before
2001-05-11. The earliest snapshot of that page was from 2001-06-04:

https://web.archive.org/web/20010604223215/http://www.iana.org:80/assignments/port-numbers

I also found an earlier snapshot from 2000-08-15 that was archived from
www.isi.edu:

https://web.archive.org/web/20000815053440/http://www.isi.edu:80/in-notes/iana/assignments/port-numbers

Both of them say:

The port numbers are divided into three ranges: the Well Known Ports,
the Registered Ports, and the Dynamic and/or Private Ports.

The Well Known Ports are those from 0 through 1023.

The Registered Ports are those from 1024 through 49151

The Dynamic and/or Private Ports are those from 49152 through 65535

So the current range for registered ports was in effect for more than a
decade prior to the publication of RFC 6335.

On that basis, the "corrected text" that I proposed is incomplete. Maybe
the following would be better:

OLD:

                                      [RFC1340
<https://tools.ietf.org/html/rfc1340>] also establishes the
   Registered range of 1024-59151, though it notes that it is not
   controlled by the IANA (at that point).  The list provided by
   [RFC1700 <https://tools.ietf.org/html/rfc1700>] in 1994 remained
the standard until it was declared
   replaced by an online version, as of [RFC3232
<https://tools.ietf.org/html/rfc3232>] in 2002.

NEW:

                                      [RFC1340
<https://tools.ietf.org/html/rfc1340>] also established the
   Registered range of 1024-65535, though it noted that it was not
   controlled by the IANA (at that point).  The list provided by
   [RFC1700 <https://tools.ietf.org/html/rfc1700>] in 1994 remained
the standard until it was declared
   replaced by an online version, as of [RFC3232
<https://tools.ietf.org/html/rfc3232>] in 2002.  At some

   time prior to that, the Registered range was changed to 1024-49151

   and the Dynamic/Private range of 49152-65535 was established.

Sigh ... this all started because I saw 59151 and thought it was just a
typo that should have been 49151.

Mike Heard

On Sun, Jan 6, 2019 at 2:29 PM Joe Touch <[email-masked]> wrote:

> Yes, as does RFC 1700. However, it was long before 6335 that the range was
> reduced to 48K, down from 64K. The only place to check, AFAICT, will be the
> Internet archive pages of IANA, other than RFCs...
> Joe
>
> >>> Good catch, though IANA did *register* ports in the range 1024-63353.
> I’m not sure what it meant to “control” ports; in both the system and
> registered ranges, all IANA could ever do was register assignees.
> >>>
> >>> Joe
> >>>
> >>>> RFC 1340 (and RFC 1700, the subsequent and final Assigned Numbers
> RFC) listed the upper end of the Registered port range as 65535. It was
> subsequently changed to 49151 by RFC 6335.
> >>>>
> >>>> Instructions:
> >>>> -------------

---

From: Joe Touch <[email-masked]>
Date: Sun, 6 Jan 2019 20:23:46 -0800

Not sure what you’re seeing, but one minor update below on the provenance and some notes on search terms I used.

Joe

> On Jan 6, 2019, at 7:20 PM, C. M. Heard <[email-masked]> wrote:
> 
> Snapshots of the repository referenced in RFC 1700 (ftp://ftp.isi.edu/in-notes/iana/assignments/port-numbers <ftp://ftp.isi.edu/in-notes/iana/assignments/port-numbers>) indicate that it moved to http://www.iana.org/assignments/port-numbers <http://www.iana.org/assignments/port-numbers> on or before 2001-05-11. The earliest snapshot of that page was from 2001-06-04:
> 
> https://web.archive.org/web/20010604223215/http://www.iana.org:80/assignments/port-numbers <https://web.archive.org/web/20010604223215/http://www.iana.org:80/assignments/port-numbers>

2001-05-19 is earlier with the same results:
https://web.archive.org/web/20010519080902/http://www.iana.org:80/assignments/port-numbers <https://web.archive.org/web/20010519080902/http://www.iana.org:80/assignments/port-numbers>

> 
> I also found an earlier snapshot from 2000-08-15 that was archived from www.isi.edu <http://www.isi.edu/>:
> 
> https://web.archive.org/web/20000815053440/http://www.isi.edu:80/in-notes/iana/assignments/port-numbers <https://web.archive.org/web/20000815053440/http://www.isi.edu:80/in-notes/iana/assignments/port-numbers>
> 
> Both of them say:
> So the current range for registered ports was in effect for more than a decade prior to the publication of RFC 6335.

That’s what I thought - though I was hoping to find something that points to the actual change.  I wasn’t able to find any RFC citing the change, searching on:
	49151
	49152
	ephemeral port
	dynamic port
	private port

> 
> On that basis, the "corrected text" that I proposed is incomplete. Maybe the following would be better:
> 
> OLD:
>                                       [RFC1340 <https://tools.ietf.org/html/rfc1340>] also establishes the
>    [RFC1700 <https://tools.ietf.org/html/rfc1700>] in 1994 remained the standard until it was declared
>    replaced by an online version, as of [RFC3232 <https://tools.ietf.org/html/rfc3232>] in 2002.
> 
> NEW:
>                                       [RFC1340 <https://tools.ietf.org/html/rfc1340>] also established the
>    [RFC1700 <https://tools.ietf.org/html/rfc1700>] in 1994 remained the standard until it was declared
>    replaced by an online version, as of [RFC3232 <https://tools.ietf.org/html/rfc3232>] in 2002.  At some
> Sigh ... this all started because I saw 59151 and thought it was just a typo that should have been 49151.

> 
> Mike Heard
> 
> On Sun, Jan 6, 2019 at 2:29 PM Joe Touch <[email-masked] <mailto:[email-masked]>> wrote:
> > On Jan 6, 2019, at 10:56 AM, Gorry Fairhurst <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> >>>> On Jan 5, 2019, at 2:30 PM, RFC Errata System<[email-masked] <mailto:[email-masked]>>  wrote:
> >>>> 
> >>>> http://www.rfc-editor.org/errata/eid5592 <http://www.rfc-editor.org/errata/eid5592>
> >>>> 
> >>>> Reported by: C. M. Heard<[email-masked] <mailto:[email-masked]>>
> >>>> 
> >>>> Section: 3
> >>>> 
> >>>> Original Text
> >>>> -------------